package com.brilliance.isc.convert.mt7xx;

import com.brilliance.isc.swift.objmtconvert.manager.MtCreatorManager;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT721Creator;
import org.junit.Test;

public class MT721Test {
    /**
     * @author wuzhe
     * @date 2023/2/28
     */
    @Test
    public void mt721_Test() {
        MT721Creator mt721Creator=new MT721Creator("721");
        mt721Creator.setRecvBic("CIPSCNSHXXX");//收报行
        mt721Creator.setSendBic("PSBCCNBJXXX");//发报行
        //27 1!n/1!n
        mt721Creator.setSequenceofTotal("1/1");
        //20 16x
        mt721Creator.setTransferringBankReference("thisis721");
        //21 16x
        mt721Creator.setDocumentaryCreditNumber("SNTSNMT721");

        //非必选项
        //45A 100*65z
        mt721Creator.setDescriptionofGoodsServices("YTNFGBNY721\r\nNMNGFBDSV");
        //46A 100*65z
        mt721Creator.setDocumentsRequired("MYTRSBNT721");
        //47A 100*65z
        mt721Creator.setAdditionalConditions("NTRBBRTNH721");
        //49G 100*65z
        mt721Creator.setSpecialPaymentConditionsforBeneficiary("NMYNTRVGF721");
        //49H 100*65z
        mt721Creator.setSpecialPaymentConditionsforBankOnly("TNYHJMYT721");


        MtCreatorManager.packMT(mt721Creator);
    }

    @Test
    public void mt721_Test2() {
        MT721Creator mt721Creator=new MT721Creator("721");
        mt721Creator.setRecvBic("CIPSCNSHXXX");//收报行
        mt721Creator.setSendBic("PSBCCNBJXXX");//发报行
        //27 1!n/1!n
        mt721Creator.setSequenceofTotal("1/1");
        //20 16x
        mt721Creator.setTransferringBankReference("thisis721");
        //21 16x
        mt721Creator.setDocumentaryCreditNumber("SNTSNMT721");

        //非必选项
        //45A 100*65z
        mt721Creator.setDescriptionofGoodsServices("YTNFGBNY721\r\nNMNGFBDSV");
        //46A 100*65z
        mt721Creator.setDocumentsRequired("MYTRSBNT721");
        //47A 100*65z
        mt721Creator.setAdditionalConditions("NTRBBRTNH721");
        //49G 100*65z
        mt721Creator.setSpecialPaymentConditionsforBeneficiary("NMYNTRVGF721");
        //49H 100*65z
        mt721Creator.setSpecialPaymentConditionsforBankOnly("TNYHJMYT721");


        MtCreatorManager.packMT(mt721Creator);
    }
}